#!/bin/bash

webuiUpdateAppLog()
{
    local app_name=$1
    local type=$2 # install or uninstall

    # Create logs directory if it doesn't exist
    local log_dir="${containers_dir}libreportal/frontend/logs"
    local apps_dir="${log_dir}/apps"
    if [ ! -d "$apps_dir" ]; then
        local result=$(createFolders "loud" $sudo_user_name $log_dir $apps_dir)
        checkSuccess "Creating frontend logs folder"
    fi

    local log_file="${apps_dir}/${app_name}.log"
    # Handle different log types
    if [[ "$type" == "install" ]]; then
        # Create WebUI log file if it doesn't exist
        if [ ! -f "${log_file}" ]; then
            createTouch "$log_file" $sudo_user_name "silent"
            echo "=== LibrePortal Installation Started at $(date) ===" | runFileWrite "${log_file}" > /dev/null
        fi
    elif [[ "$type" == "uninstall" ]]; then
        # Remove app log file
        if [ -f "${log_file}" ]; then
            local result=$(rm "${log_file}")
            checkSuccess "Removed ${app_name}.log"
        fi
    fi
}